Subject: Re: [PATCH v2] Documentation: rw_lock lessons learned

From: William Allen Simpson <[email-masked]>
Date: Sat, 12 Dec 2009 05:36:26 -0500

Jarek Poplawski wrote:
> William Allen Simpson wrote, On 12/11/2009 06:01 PM:
>> A month ago, I'd taken the final line "Ho humm.." of Linus'
>> response to mean he wasn't interested.  But at the local
>> discussion yesterday, I'm told that's just a typical Linusism.
> 
> Why would he write 6 paragraphs if he wasn't interested?
> 
Good point.  Since I've only met him a couple of times, roughly a
decade or so ago, it wasn't obvious to me that it wasn't just a rant.

>> The thread diverged into discussion of another document entirely.
>>
>> I'm not the person to update this document with any of the other
>> information about global locks and tasklists and such.  But surely
>> somebody else could handle that in another patch.
>>
>> Anybody have answers/updates to Linus's concerns about "pretty old
>> and bogus language"?  Would folks be interested in the update?
>> Does anybody know which list(s) would be better for discussion?
> 
> I guess, you could literally start with removing this "global
> interrupt lock", adding "the example of a _good_ case of rwlocks",
> plus Stephen's "it is not just networking" fix in v3.
> 
As I mentioned, I'm not the person to do either of the former -- I'm
simply not conversant with the details.  If anybody has more specific
information, I'd be happy to edit it together with mine.  Or it could
be another patch entirely.

I'll do the latter later today.  Thanks for your interest.